<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__ipc__ctrl__msg" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_ipc_ctrl_msg</compoundname>
    <includes local="no">cy_ble_stack_pvt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__ipc__ctrl__msg_1ace5e866da17bfafedca4628bede1fe73" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_ipc_ctrl_msg::clientID</definition>
        <argsstring />
        <name>clientID</name>
        <briefdescription>
<para>ID of the message client. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" bodystart="40" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="40" />
      </memberdef>
      <memberdef id="structcy__stc__ble__ipc__ctrl__msg_1a561a9b509cd6ce6b6a8f621bb63ebb7c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_ipc_ctrl_msg::pktType</definition>
        <argsstring />
        <name>pktType</name>
        <briefdescription>
<para>Type of message. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" bodystart="42" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="42" />
      </memberdef>
      <memberdef id="structcy__stc__ble__ipc__ctrl__msg_1abe637e67cd380ac2f95162a48108cbd5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_ipc_ctrl_msg::intrRelMask</definition>
        <argsstring />
        <name>intrRelMask</name>
        <briefdescription>
<para>Message Interrupt Rel. </para>        </briefdescription>
        <detaileddescription>
<para>Mask </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" bodystart="44" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="44" />
      </memberdef>
      <memberdef id="structcy__stc__ble__ipc__ctrl__msg_1a8b7f6daec856ced17f6a2cbf6411d821" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_ble_ipc_ctrl_msg::pktDataPointer</definition>
        <argsstring />
        <name>pktDataPointer</name>
        <briefdescription>
<para>Pointer to Data in message. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" bodystart="46" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="46" />
      </memberdef>
      <memberdef id="structcy__stc__ble__ipc__ctrl__msg_1ac64578da200aaba41fa14812a9f125ac" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_ipc_ctrl_msg::pktMetaData</definition>
        <argsstring />
        <name>pktMetaData</name>
        <briefdescription>
<para>Meta Data of the message. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" bodystart="48" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="48" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure containing the parameters required for IPC message from controller to Host. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="50" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" bodystart="37" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="38" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__ipc__ctrl__msg_1ace5e866da17bfafedca4628bede1fe73" virt="non-virtual"><scope>cy_stc_ble_ipc_ctrl_msg</scope><name>clientID</name></member>
      <member prot="public" refid="structcy__stc__ble__ipc__ctrl__msg_1abe637e67cd380ac2f95162a48108cbd5" virt="non-virtual"><scope>cy_stc_ble_ipc_ctrl_msg</scope><name>intrRelMask</name></member>
      <member prot="public" refid="structcy__stc__ble__ipc__ctrl__msg_1a8b7f6daec856ced17f6a2cbf6411d821" virt="non-virtual"><scope>cy_stc_ble_ipc_ctrl_msg</scope><name>pktDataPointer</name></member>
      <member prot="public" refid="structcy__stc__ble__ipc__ctrl__msg_1ac64578da200aaba41fa14812a9f125ac" virt="non-virtual"><scope>cy_stc_ble_ipc_ctrl_msg</scope><name>pktMetaData</name></member>
      <member prot="public" refid="structcy__stc__ble__ipc__ctrl__msg_1a561a9b509cd6ce6b6a8f621bb63ebb7c" virt="non-virtual"><scope>cy_stc_ble_ipc_ctrl_msg</scope><name>pktType</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>